Loading...
Searching...
No Matches
spa_filter_graph_events Struct Reference
Filter Graph

`#include <spa/filter-graph/filter-graph.h>`

## Data Fields

uint32_t | version
void(* | info )(void *object, const struct spa_filter_graph_info *info)
void(* | apply_props )(void *object, enum spa_direction direction, const struct spa_pod *props)
void(* | props_changed )(void *object, enum spa_direction direction)

## Field Documentation

## version

uint32_t spa_filter_graph_events::version

## info

void(* spa_filter_graph_events::info) (void *object, const struct spa_filter_graph_info *info)

## apply_props

void(* spa_filter_graph_events::apply_props) (void *object, enum spa_direction direction, const struct spa_pod *props)

## props_changed

void(* spa_filter_graph_events::props_changed) (void *object, enum spa_direction direction)

The documentation for this struct was generated from the following file:

- spa/filter-graph/filter-graph.h